module Pages.Home_ exposing (page)

import Config.Identity as ID exposing (..)
import Config.Theme as T exposing (..)
import Element exposing (..)
import Element.Background as B
import Element.Font as F
import Element.Region exposing (description)
import View exposing (View)



-- Use this if you fuck something up
-- Element.explain Debug.todo


page : View msg
page =
    { title = homeName
    , attributes = [ F.family [ spartanFont ] ]
    , element = topLevelContainer
    }

topLevelContainer : Element msg
topLevelContainer =
    el
        [ width fill
        , height fill
        , B.color colourTheme.backgroundColour
        ]
        linkList


linkList : Element msg
linkList =
    column
        [ spacing 20
        , centerX
        , centerY
        , F.color (rgb255 67 67 67)
        ]
        links

paragraphFontSize : Attr decorative msg
paragraphFontSize =
    F.size 17

links : List (Element msg)
links = []
